#
# Cookbook Name:: CVE-2015-0235
# Recipe:: default
#
# Copyright (C) 2015 Mike SPlain
#
# All rights reserved - Do Not Redistribute
#

if platform_family?('debian')
  include_recipe 'apt'

  package 'gcc'

elsif platform_family?('rhel')
  include_recipe 'yum'

  package 'gcc'
end

cookbook_file 'ghosttest.c' do
  path "#{Chef::Config[:file_cache_path]}/ghosttest.c"
end

bash 'build test' do
  cwd Chef::Config[:file_cache_path]
  code <<-EOH
    gcc ghosttest.c -o CVE-2015-0235
    EOH
  not_if { ::File.exist?("#{Chef::Config[:file_cache_path]}/CVE-2015-0235") }
end

bash 'test vulnerability against libc' do
  cwd Chef::Config[:file_cache_path]
  code <<-EOH
    ./CVE-2015-0235
    EOH
  returns [0]
end

log "If you've made it this far your libc isn't vulnerable"
